org.eclipse.eef

## Interface EefFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EefFactoryImpl

    public interface EefFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `EefPackage`

### Field Summary

Fields
`static EefFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`EEFButtonConditionalStyle` `createEEFButtonConditionalStyle()` Returns a new object of class 'EEF Button Conditional Style'.
`EEFButtonDescription` `createEEFButtonDescription()` Returns a new object of class 'EEF Button Description'.
`EEFButtonStyle` `createEEFButtonStyle()` Returns a new object of class 'EEF Button Style'.
`EEFCheckboxConditionalStyle` `createEEFCheckboxConditionalStyle()` Returns a new object of class 'EEF Checkbox Conditional Style'.
`EEFCheckboxDescription` `createEEFCheckboxDescription()` Returns a new object of class 'EEF Checkbox Description'.
`EEFCheckboxStyle` `createEEFCheckboxStyle()` Returns a new object of class 'EEF Checkbox Style'.
`EEFContainerDescription` `createEEFContainerDescription()` Returns a new object of class 'EEF Container Description'.
`EEFCustomExpression` `createEEFCustomExpression()` Returns a new object of class 'EEF Custom Expression'.
`EEFCustomWidgetConditionalStyle` `createEEFCustomWidgetConditionalStyle()` Returns a new object of class 'EEF Custom Widget Conditional Style'.
`EEFCustomWidgetDescription` `createEEFCustomWidgetDescription()` Returns a new object of class 'EEF Custom Widget Description'.
`EEFCustomWidgetStyle` `createEEFCustomWidgetStyle()` Returns a new object of class 'EEF Custom Widget Style'.
`EEFDynamicMappingFor` `createEEFDynamicMappingFor()` Returns a new object of class 'EEF Dynamic Mapping For'.
`EEFDynamicMappingIf` `createEEFDynamicMappingIf()` Returns a new object of class 'EEF Dynamic Mapping If'.
`EEFFillLayoutDescription` `createEEFFillLayoutDescription()` Returns a new object of class 'EEF Fill Layout Description'.
`EEFGridLayoutDescription` `createEEFGridLayoutDescription()` Returns a new object of class 'EEF Grid Layout Description'.
`EEFGroupConditionalStyle` `createEEFGroupConditionalStyle()` Returns a new object of class 'EEF Group Conditional Style'.
`EEFGroupDescription` `createEEFGroupDescription()` Returns a new object of class 'EEF Group Description'.
`EEFGroupStyle` `createEEFGroupStyle()` Returns a new object of class 'EEF Group Style'.
`EEFHyperlinkConditionalStyle` `createEEFHyperlinkConditionalStyle()` Returns a new object of class 'EEF Hyperlink Conditional Style'.
`EEFHyperlinkDescription` `createEEFHyperlinkDescription()` Returns a new object of class 'EEF Hyperlink Description'.
`EEFHyperlinkStyle` `createEEFHyperlinkStyle()` Returns a new object of class 'EEF Hyperlink Style'.
`EEFLabelConditionalStyle` `createEEFLabelConditionalStyle()` Returns a new object of class 'EEF Label Conditional Style'.
`EEFLabelDescription` `createEEFLabelDescription()` Returns a new object of class 'EEF Label Description'.
`EEFLabelStyle` `createEEFLabelStyle()` Returns a new object of class 'EEF Label Style'.
`EEFListConditionalStyle` `createEEFListConditionalStyle()` Returns a new object of class 'EEF List Conditional Style'.
`EEFListDescription` `createEEFListDescription()` Returns a new object of class 'EEF List Description'.
`EEFListStyle` `createEEFListStyle()` Returns a new object of class 'EEF List Style'.
`EEFPageDescription` `createEEFPageDescription()` Returns a new object of class 'EEF Page Description'.
`EEFPropertyValidationRuleDescription` `createEEFPropertyValidationRuleDescription()` Returns a new object of class 'EEF Property Validation Rule Description'.
`EEFRadioConditionalStyle` `createEEFRadioConditionalStyle()` Returns a new object of class 'EEF Radio Conditional Style'.
`EEFRadioDescription` `createEEFRadioDescription()` Returns a new object of class 'EEF Radio Description'.
`EEFRadioStyle` `createEEFRadioStyle()` Returns a new object of class 'EEF Radio Style'.
`EEFRuleAuditDescription` `createEEFRuleAuditDescription()` Returns a new object of class 'EEF Rule Audit Description'.
`EEFSelectConditionalStyle` `createEEFSelectConditionalStyle()` Returns a new object of class 'EEF Select Conditional Style'.
`EEFSelectDescription` `createEEFSelectDescription()` Returns a new object of class 'EEF Select Description'.
`EEFSelectStyle` `createEEFSelectStyle()` Returns a new object of class 'EEF Select Style'.
`EEFSemanticValidationRuleDescription` `createEEFSemanticValidationRuleDescription()` Returns a new object of class 'EEF Semantic Validation Rule Description'.
`EEFTextConditionalStyle` `createEEFTextConditionalStyle()` Returns a new object of class 'EEF Text Conditional Style'.
`EEFTextDescription` `createEEFTextDescription()` Returns a new object of class 'EEF Text Description'.
`EEFTextStyle` `createEEFTextStyle()` Returns a new object of class 'EEF Text Style'.
`EEFValidationFixDescription` `createEEFValidationFixDescription()` Returns a new object of class 'EEF Validation Fix Description'.
`EEFViewDescription` `createEEFViewDescription()` Returns a new object of class 'EEF View Description'.
`EEFWidgetAction` `createEEFWidgetAction()` Returns a new object of class 'EEF Widget Action'.
`EefPackage` `getEefPackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final EefFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createEEFViewDescription

    EEFViewDescription createEEFViewDescription()

Returns a new object of class 'EEF View Description'.

Returns:
  a new object of class 'EEF View Description'.

#### createEEFPageDescription

    EEFPageDescription createEEFPageDescription()

Returns a new object of class 'EEF Page Description'.

Returns:
  a new object of class 'EEF Page Description'.

#### createEEFRuleAuditDescription

    EEFRuleAuditDescription createEEFRuleAuditDescription()

Returns a new object of class 'EEF Rule Audit Description'.

Returns:
  a new object of class 'EEF Rule Audit Description'.

#### createEEFValidationFixDescription

    EEFValidationFixDescription createEEFValidationFixDescription()

Returns a new object of class 'EEF Validation Fix Description'.

Returns:
  a new object of class 'EEF Validation Fix Description'.

#### createEEFPropertyValidationRuleDescription

    EEFPropertyValidationRuleDescription createEEFPropertyValidationRuleDescription()

Returns a new object of class 'EEF Property Validation Rule Description'.

Returns:
  a new object of class 'EEF Property Validation Rule Description'.

#### createEEFSemanticValidationRuleDescription

    EEFSemanticValidationRuleDescription createEEFSemanticValidationRuleDescription()

Returns a new object of class 'EEF Semantic Validation Rule Description'.

Returns:
  a new object of class 'EEF Semantic Validation Rule Description'.

#### createEEFGroupDescription

    EEFGroupDescription createEEFGroupDescription()

Returns a new object of class 'EEF Group Description'.

Returns:
  a new object of class 'EEF Group Description'.

#### createEEFContainerDescription

    EEFContainerDescription createEEFContainerDescription()

Returns a new object of class 'EEF Container Description'.

Returns:
  a new object of class 'EEF Container Description'.

#### createEEFFillLayoutDescription

    EEFFillLayoutDescription createEEFFillLayoutDescription()

Returns a new object of class 'EEF Fill Layout Description'.

Returns:
  a new object of class 'EEF Fill Layout Description'.

#### createEEFGridLayoutDescription

    EEFGridLayoutDescription createEEFGridLayoutDescription()

Returns a new object of class 'EEF Grid Layout Description'.

Returns:
  a new object of class 'EEF Grid Layout Description'.

#### createEEFTextDescription

    EEFTextDescription createEEFTextDescription()

Returns a new object of class 'EEF Text Description'.

Returns:
  a new object of class 'EEF Text Description'.

#### createEEFLabelDescription

    EEFLabelDescription createEEFLabelDescription()

Returns a new object of class 'EEF Label Description'.

Returns:
  a new object of class 'EEF Label Description'.

#### createEEFButtonDescription

    EEFButtonDescription createEEFButtonDescription()

Returns a new object of class 'EEF Button Description'.

Returns:
  a new object of class 'EEF Button Description'.

#### createEEFCheckboxDescription

    EEFCheckboxDescription createEEFCheckboxDescription()

Returns a new object of class 'EEF Checkbox Description'.

Returns:
  a new object of class 'EEF Checkbox Description'.

#### createEEFSelectDescription

    EEFSelectDescription createEEFSelectDescription()

Returns a new object of class 'EEF Select Description'.

Returns:
  a new object of class 'EEF Select Description'.

#### createEEFRadioDescription

    EEFRadioDescription createEEFRadioDescription()

Returns a new object of class 'EEF Radio Description'.

Returns:
  a new object of class 'EEF Radio Description'.

#### createEEFHyperlinkDescription

    EEFHyperlinkDescription createEEFHyperlinkDescription()

Returns a new object of class 'EEF Hyperlink Description'.

Returns:
  a new object of class 'EEF Hyperlink Description'.

#### createEEFDynamicMappingFor

    EEFDynamicMappingFor createEEFDynamicMappingFor()

Returns a new object of class 'EEF Dynamic Mapping For'.

Returns:
  a new object of class 'EEF Dynamic Mapping For'.

#### createEEFDynamicMappingIf

    EEFDynamicMappingIf createEEFDynamicMappingIf()

Returns a new object of class 'EEF Dynamic Mapping If'.

Returns:
  a new object of class 'EEF Dynamic Mapping If'.

#### createEEFCustomWidgetDescription

    EEFCustomWidgetDescription createEEFCustomWidgetDescription()

Returns a new object of class 'EEF Custom Widget Description'.

Returns:
  a new object of class 'EEF Custom Widget Description'.

#### createEEFCustomExpression

    EEFCustomExpression createEEFCustomExpression()

Returns a new object of class 'EEF Custom Expression'.

Returns:
  a new object of class 'EEF Custom Expression'.

#### createEEFListDescription

    EEFListDescription createEEFListDescription()

Returns a new object of class 'EEF List Description'.

Returns:
  a new object of class 'EEF List Description'.

#### createEEFTextStyle

    EEFTextStyle createEEFTextStyle()

Returns a new object of class 'EEF Text Style'.

Returns:
  a new object of class 'EEF Text Style'.

#### createEEFLabelStyle

    EEFLabelStyle createEEFLabelStyle()

Returns a new object of class 'EEF Label Style'.

Returns:
  a new object of class 'EEF Label Style'.

#### createEEFButtonStyle

    EEFButtonStyle createEEFButtonStyle()

Returns a new object of class 'EEF Button Style'.

Returns:
  a new object of class 'EEF Button Style'.

#### createEEFCheckboxStyle

    EEFCheckboxStyle createEEFCheckboxStyle()

Returns a new object of class 'EEF Checkbox Style'.

Returns:
  a new object of class 'EEF Checkbox Style'.

#### createEEFSelectStyle

    EEFSelectStyle createEEFSelectStyle()

Returns a new object of class 'EEF Select Style'.

Returns:
  a new object of class 'EEF Select Style'.

#### createEEFRadioStyle

    EEFRadioStyle createEEFRadioStyle()

Returns a new object of class 'EEF Radio Style'.

Returns:
  a new object of class 'EEF Radio Style'.

#### createEEFHyperlinkStyle

    EEFHyperlinkStyle createEEFHyperlinkStyle()

Returns a new object of class 'EEF Hyperlink Style'.

Returns:
  a new object of class 'EEF Hyperlink Style'.

#### createEEFCustomWidgetStyle

    EEFCustomWidgetStyle createEEFCustomWidgetStyle()

Returns a new object of class 'EEF Custom Widget Style'.

Returns:
  a new object of class 'EEF Custom Widget Style'.

#### createEEFListStyle

    EEFListStyle createEEFListStyle()

Returns a new object of class 'EEF List Style'.

Returns:
  a new object of class 'EEF List Style'.

#### createEEFGroupStyle

    EEFGroupStyle createEEFGroupStyle()

Returns a new object of class 'EEF Group Style'.

Returns:
  a new object of class 'EEF Group Style'.

#### createEEFTextConditionalStyle

    EEFTextConditionalStyle createEEFTextConditionalStyle()

Returns a new object of class 'EEF Text Conditional Style'.

Returns:
  a new object of class 'EEF Text Conditional Style'.

#### createEEFButtonConditionalStyle

    EEFButtonConditionalStyle createEEFButtonConditionalStyle()

Returns a new object of class 'EEF Button Conditional Style'.

Returns:
  a new object of class 'EEF Button Conditional Style'.

#### createEEFLabelConditionalStyle

    EEFLabelConditionalStyle createEEFLabelConditionalStyle()

Returns a new object of class 'EEF Label Conditional Style'.

Returns:
  a new object of class 'EEF Label Conditional Style'.

#### createEEFCheckboxConditionalStyle

    EEFCheckboxConditionalStyle createEEFCheckboxConditionalStyle()

Returns a new object of class 'EEF Checkbox Conditional Style'.

Returns:
  a new object of class 'EEF Checkbox Conditional Style'.

#### createEEFSelectConditionalStyle

    EEFSelectConditionalStyle createEEFSelectConditionalStyle()

Returns a new object of class 'EEF Select Conditional Style'.

Returns:
  a new object of class 'EEF Select Conditional Style'.

#### createEEFRadioConditionalStyle

    EEFRadioConditionalStyle createEEFRadioConditionalStyle()

Returns a new object of class 'EEF Radio Conditional Style'.

Returns:
  a new object of class 'EEF Radio Conditional Style'.

#### createEEFHyperlinkConditionalStyle

    EEFHyperlinkConditionalStyle createEEFHyperlinkConditionalStyle()

Returns a new object of class 'EEF Hyperlink Conditional Style'.

Returns:
  a new object of class 'EEF Hyperlink Conditional Style'.

#### createEEFCustomWidgetConditionalStyle

    EEFCustomWidgetConditionalStyle createEEFCustomWidgetConditionalStyle()

Returns a new object of class 'EEF Custom Widget Conditional Style'.

Returns:
  a new object of class 'EEF Custom Widget Conditional Style'.

#### createEEFWidgetAction

    EEFWidgetAction createEEFWidgetAction()

Returns a new object of class 'EEF Widget Action'.

Returns:
  a new object of class 'EEF Widget Action'.

#### createEEFListConditionalStyle

    EEFListConditionalStyle createEEFListConditionalStyle()

Returns a new object of class 'EEF List Conditional Style'.

Returns:
  a new object of class 'EEF List Conditional Style'.

#### createEEFGroupConditionalStyle

    EEFGroupConditionalStyle createEEFGroupConditionalStyle()

Returns a new object of class 'EEF Group Conditional Style'.

Returns:
  a new object of class 'EEF Group Conditional Style'.

#### getEefPackage

    EefPackage getEefPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.